Subject: Re: server X
From: [email-masked] (David Fox)

27 Sep 1998 00:42:15 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked] (Michael Weiser)
Cc: Alexander Kriegisch <[email-masked]>, [email-masked]

[email-masked] (Michael Weiser) writes:

> Hello Alexander, you wrote:
> >> >Why is direct video hardware access
> >> >more of a problem under windows than it is under Unix?
> >> Because Windows NT doesn't allow any direct access to the hardware.
> >I do not know enough about it, so this is more a question than a hint:
> >How about DirectX and the like? Is it not designed for granting the
> >developer direct hardware access?

> I also don't know much about X and the way it works, but why do we
> need direct hardware access anyway? AFAIK X opens some windows and
> makes simple drawing which should map on top of the normal Win32 API
> with its windowing and drawing functions.

I think this discussion started from the suggestion of porting XFree86
to Cygwin32, and XFree86 accesses the hardware directly.  Therefore,
XFree86 is not a good porting candidate.  But I don't think anyone
thinks its important to access the hardware directly.
-- 
David Fox          http://www.cat.nyu.edu/fox		xoF divaD
UCSD HCI Lab          [email-masked]          baL ICH DSCU
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".